<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ResultActivity" >

    

    <ScrollView
        android:id="@+id/scrollView1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_above="@+id/foot"
        android:layout_below="@+id/head" >

        <HorizontalScrollView
            android:id="@+id/search_form"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" >

            <TableLayout
                android:id="@+id/result_table"
                android:layout_width="wrap_content"
                android:layout_height="fill_parent"
                android:padding="2dp"
                android:background="@android:color/holo_blue_bright" >

                <TableRow
                    android:id="@+id/tr_header"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content" >
                </TableRow>
            </TableLayout>
        </HorizontalScrollView>
    </ScrollView>
<RelativeLayout
        android:id="@+id/status"
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:layout_centerInParent="true"
        android:layout_gravity="center"
        
        android:orientation="vertical"
        android:visibility="gone" >

        <TextView
            android:id="@+id/status_message"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/progressbar"
            android:layout_centerHorizontal="true"
            android:layout_marginBottom="16dp"
            android:text="Loading..."
            android:textAppearance="?android:attr/textAppearanceMedium" />

        <ProgressBar
            android:id="@+id/progressbar"
            style="?android:attr/progressBarStyleLarge"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:layout_marginTop="41dp" />
    </RelativeLayout>
    <LinearLayout
        android:id="@+id/foot"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true" >

        <Button
            android:id="@+id/btn_pre"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            style="@android:attr/buttonBarButtonStyle"
            android:text="@string/str_prepage" 
            android:enabled="false"/>

        <Button
            android:id="@+id/btn_next"
            style="@android:attr/buttonBarButtonStyle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1"

            android:enabled="false"
            android:text="@string/str_nextpage" />

    </LinearLayout>

    <TextView
        android:id="@+id/head"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentTop="true"
        android:layout_centerHorizontal="true"
        android:text="@string/str_0"
        android:textAppearance="?android:attr/textAppearanceLarge" />

    <LinearLayout
        android:id="@+id/ll_refresh"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
       
        android:layout_centerHorizontal="true"
        android:layout_centerVertical="true"
        android:orientation="vertical" 
        android:gravity="center_horizontal"
        android:visibility="invisible">

        <TextView
            android:id="@+id/tv_ver"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            android:text="Failed to get records\nTap Refresh button to retry" 
            android:textAppearance="?android:attr/textAppearanceLarge" />
            <Button
                android:id="@+id/btn_refresh"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"

                android:drawableLeft="@android:drawable/ic_popup_sync"
                style="@android:attr/buttonBarButtonStyle"
                android:text="Refresh" />
     <!--    <FrameLayout
            android:layout_width="wrap_content"
            
            android:layout_height="wrap_content"
            android:background="@android:color/holo_blue_dark" 
            android:layout_marginTop="10dp"> 



        </FrameLayout>-->

    </LinearLayout>

</RelativeLayout>